.reservations {
    background: url('./files/reservations-bg.jpg') center center no-repeat;
    background-size: cover;
    padding-top: $global-padding-mobile;

    &__wrapper {
        width: 100%;
        max-width: 800px;
        margin: 0 auto;
        position: relative;
        padding: 0 10px;
    }

    &__heading {
        color: $white;
        margin-bottom: $heading-margin;
        text-align: center;
    }

    &-form {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;

        &__item {
            text-align: center;
        }

        &__col {
            width: 100%;
        }

        &__input  {
            padding: 15px 20px 15px 50px;
            height: 51px;
            margin-bottom: 10px;
            background-color: $white;
            font-family: $alt-font-family;
            font-size: 14px;
            color: $base-font-colour;
            border: none;
            outline: none;
            border-radius: 4px;
            width: 100%;
            max-width: 310px;

            &::placeholder {
                color: $base-font-colour;
            }
        }

        &__icon {
            position: absolute;
            padding-top: 17px;
            padding-left: 20px;
        }

        &__bottom {
            margin-top: 20px;
            display: flex;
            flex-direction: column;
            align-items: center;
            padding-bottom: $global-padding-mobile;
        }

        &__button {
            text-decoration: none;
            color: $white;
            text-transform: uppercase;
            background-color: $yellow;
            padding: 18px 28px;
            font-size: 14px;
            font-family: $alt-font-family;
            font-weight: bold;
            border-radius: 4px;
            border: none;
            cursor: pointer;
            margin-bottom: 20px;
            width: 100%;
            max-width: 310px;
            &:hover {
                background-color: $yellow-hover;
            }
        }

        &__call {
            margin-bottom: 10px;
            &--white {
                color: $white;
                text-transform: uppercase;
                font-size: 14px;
                font-family: $alt-font-family;
                font-weight: bold;
                margin: 0;
            }

            &--pink  {
                color: $pink;
                text-transform: uppercase;
                font-size: 14px;
                font-family: $alt-font-family;
                font-weight: bold;
                margin: 0;
                margin-top: 5px;
            }
        }

        &__phone {
            color: $white;
            font-family: $base-font-family;
            font-size: 26px;
            font-weight: bold;
            margin: 0;
        }
    }

    &__image-box {
        &--left {
            background: url('./files/reservations-box-image.jpg') center center no-repeat;
            height: 293px;
            width: 293px;
            background-size: cover;
            position: absolute;
            top: -135px;
            left: -325px;
            display: none;
        }

        &--right {
            background: url('./files/reservations-box-image.jpg') center center no-repeat;
            height: 234px;
            width: 241px;
            background-size: cover;
            position: absolute;
            bottom: -125px;
            right: -275px;
            display: none
        }
    }
}

.reservation {
    &-time {
        &:before {
            content: 'Time*';
            margin-right: 10px;
        }
        &:focus {
            &:before {
                display: none;
            }
        }
        &:valid {
            &:before {
                display: none;
            }
        }
    }

    &-date {
        &:before {
            content: 'Date*';
            margin-right: 10px;
        }
        &:focus {
            &:before {
                display: none;
            }
        }
        &:valid {
            &:before {
                display: none;
            }
        }
    }
}

@media screen and (min-width: $tablet){
    .reservations {
        padding-top: $global-padding;

        &-form__bottom {
            padding-bottom: $global-padding;
        }
    }
}

@media screen and (min-width: $desktop){
    .reservations {
        height: 518px;

        &__wrapper {
            padding: 0;
        }

        &-form {
            flex-direction: row;
            &__col {
                width: 50%;
                &.left {
                    padding-right: 15px;
                }
                &.right {
                    padding-left: 15px;
                }
            }

            &__input {
                max-width: unset;
            }

            &__bottom {
                flex-direction: row;
                padding: 0;
            }

            &__button {
                width: unset;
                margin-bottom: 0;
            }

            &__call {
                margin: 0 50px;
            }
        }
    }
}

@media screen and (min-width: 1300px){
    .reservations__image-box--left, .reservations__image-box--right {
        display: block;
    }
}